Name:		fermilab-conf_system-logger
Obsoletes:	zz_use_clogger
Version:	1.1
Release:	5.1
Summary:	Log your system logs to the Fermi central logger

Group:		Fermilab
License:	GPL
URL:		http://helpdesk.fnal.gov/

Source0:	000-use-clogger.conf

BuildRequires:	augeas coreutils /usr/bin/awk
BuildArch:	noarch
Requires:	rsyslog systemd

%description
This package will change your rsyslog configuration that will
send all of your logs to the Fermilab central logger.

Requirement from: CS-doc-5590-v1

%prep


%build


%install
rm -rf %{buildroot}
%{__install} -D %{SOURCE0} %{buildroot}%{_sysconfdir}/rsyslog.d/000-use-clogger.conf

%clean
rm -rf %{buildroot}

%check
# Run a quick syntax/sanity check of the config file
TMPFILE=$(mktemp)
cat > ${TMPFILE} <<EOF
set /augeas/load/Rsyslog/incl %{SOURCE0}
load

get /files/%{SOURCE0}/entry/action/hostname
EOF
HOSTNAME=$(augtool --noload < ${TMPFILE} | awk '{print $3}')
if [[ "${HOSTNAME}" != "clogger.fnal.gov" ]]; then
    echo 'Something is wrong with %{SOURCE0}'
    rm -f ${TMPFILE}
    exit 1
fi
rm -f ${TMPFILE}

%post
systemctl condrestart rsyslog.service

%postun
systemctl condrestart rsyslog.service

%files
%defattr(0644,root,root,0755)
%config	%{_sysconfdir}/rsyslog.d/*

%changelog
* Mon Nov 2 2015 Pat Riehecky <riehecky@fnal.gov> 1.1-5.1
- added postun to hup the daemon

* Fri Aug 7 2015 Pat Riehecky <riehecky@fnal.gov> 1.1-5
- Updated for EL7

* Wed Jan 30 2013 Pat Riehecky <riehecky@fnal.gov> 1.1-4
- now using /etc/rsyslog.d/000-use-clogger.conf rather than
  editing /etc/rsyslog.conf

* Mon May 16 2011 Troy Dawson <dawson@fnal.gov> 1.1-3
- Changed the mispelled rsyslogd to rsyslog

* Mon May 16 2011 Troy Dawson <dawson@fnal.gov> 1.1-2
- Changed the mispelled sysklog to rsyslogd

* Wed Apr 20 2011 Troy Dawson <dawson@fnal.gov> 1.1-1
- Rebuilt to work with SLF6
- Converted everything from syslog to rsyslog

* Mon Apr 20 2009 Troy Dawson <dawson@fnal.gov> 1.0-1
- First go round

